[etch] suppression de paquets incontole

[Résolu/Fermé]
Signaler
Messages postés
144
Date d'inscription
vendredi 25 août 2006
Statut
Membre
Dernière intervention
29 octobre 2010
-
Messages postés
144
Date d'inscription
vendredi 25 août 2006
Statut
Membre
Dernière intervention
29 octobre 2010
-
Bonjour,
Ca n'a pas duré longtemps. Pas moyen d'etre tranquille.
Lorsque j'install le paquet LibCGAL-dev, apt me demande de mettre les dependences. Bon ok
Pas de probleme les paquets sont installés...
ben si, probleme
La mise a jour des config du aux nouveaux paquets me supprime moulte et moulte paquets.
Quand je dit moulte je perds quasi toutes traces de Gnome, partiellement Kde, le menu de kde ne donne pas de suite au programme, je n'ai plus de termital, je n'ai pas de gestionnaire de fichier, en gros je ne peux pas faire grand chose...
Si je veux eteindre l'ordinateur par la commande de Kde...
je boot sur une konsole a l'invit debian#.
Je fait apt-get update et upgrade pour voir.
Ca me recharge la majeur partir des paquets shootees mais lors du redemarrage de l'ordinateur toujours l'invit debian#
l'identification de ma debian est maintenant
Debian GNU/linux testing/unstable debian tty1 alors que les lignes de sources.list ne sont que des testing.
J'ai remis sarge .
Je pense que apt supprime des paquets dont il pense qu'ils sont inutiles pour la nouvelle config...au lieu de me les mettre a jour.
Apt me taille large en supprimant Gnome et autres...
Qui veux essayer d'installer CGAL pour voir?

2 réponses

Messages postés
365
Date d'inscription
mercredi 9 novembre 2005
Statut
Membre
Dernière intervention
2 décembre 2006
6
bonjour,
apparemment chez moi ça pose pas de problème ... :
jcode@debian:~$ sudo apt-get -s install libcgal1
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Les NOUVEAUX paquets suivants seront installés :
  libcgal1
0 mis à jour, 1 nouvellement installés, 0 à enlever et 193 non mis à jour.
Inst libcgal1 (3.2.1-1 Debian:testing)
Conf libcgal1 (3.2.1-1 Debian:testing)


Il y a plusieurs choses à prendre en compte pour ton souci :
- d'abord notons que etch est pas top en ce moment, il parait ...
- ces problemes de dépedances où un max de pkg est viré arrivent souvent quand on gère mal le pining (/etc/apt/preferences) et le sources.list.
- tu peux toujours essayer d'installer le paquet en forçant avec
sudo apt-get -s install -t testing libcgal1
ou libgal1/testing
tu testes d'abord avec l'option -s pour voir, puis tu la retires si c'est ok.
- le libcgal1-dev je ne peux pas l'installer, apt-cache search me le montre mais le pkg est introuvable, contrairement à libcgal1 tout court
- il se peut que ses paquets, en version etch, aient des dépendances en sid ...

En bref, interesse toi au pining et preferences de apt, et vérifies ou modifies ton sources.list ... à mon avis tu dois rajouter la ligne unstable au moins provisoirement pour installer le pkg (avec la mention non-free en plus !! )

ps: les 193 pkg non mis à jours chez moi, c'est volontaire ... (je fais un pti script en ce moment, et ça me sert ... :) )
Messages postés
144
Date d'inscription
vendredi 25 août 2006
Statut
Membre
Dernière intervention
29 octobre 2010
15
Salut,
Merci pour toutes ces infos,
mon probleme est resolu, j'ai fais un essais avec synaptic.
Toutefois synaptic a fait la meme gestion qu'apt mais en remettant les mise a jour.
Libcgal est une lib unstable, il est certain que le programme que je veux metre a besoin de versions unstable. je prefere faire les install en -dev. c'est peut etre là la sources de mes nombreux problemes, un conflit en paquet etch et unstable.
Si le probleme reviens je ferrai un essais avec cgal1.
je vais quand meme eplucher ta phrase
...En bref, interesse toi au pining et preferences de apt,
je ne comprends pas ces mots.
Merci Ingrid